<%- include('../../partials/header.ejs')%>

<body>
    <%- include('../../partials/navbar.ejs')%>

    <div class="container">
        <hr>
        <h2>Artigos</h2>
        <a class="btn btn-success" href="/admin/articles/new">Criar novo artigo</a>
        <hr>
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>Id</th>
                    <th>Título</th>
                    <th>Slug</th>
                    <th>Categoria</th>
                    <th>Ações</th>
                </tr>
            </thead>
            <tbody>
                <% articles.forEach(a => { %>
                    <tr>
                        <th><%= a.id %></th>
                        <th><%= a.title %></th>
                        <th><%= a.slug %></th>
                        <th><%= a.category.title %></th>
                        <th>
                            <a href="/admin/articles/edit/<%= a.id %>" class="btn btn-warning">Editar</a>

                            <form method="POST" action="/articles/delete" style="display: inline;" onsubmit="deleteConfirm(event, this)">
                                <input type="hidden" name="idArticle" value="<%= a.id %>">
                                <button class="btn btn-danger">Deletar</button>
                            </form>
                        </th>
                    </tr>
                <% }) %>
            </tbody>
        </table>
    </div>
</body>

<%- include('../../partials/footer.ejs')%>

<script>
    function deleteConfirm(event, form){
        event.preventDefault(); //Interrompe a submissão do form
        var decision = confirm("Tem certeza que quer apagar este artigo?");
        if(decision){
            form.submit();
        }
    }
</script>
